## inputlirc 11

=== Makefile ===
# inputlircd -- zeroconf LIRC daemon that reads from /dev/input/event devices
# Copyright (C) 2006  Guus Sliepen <guus@sliepen.eu.org>
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as published
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

SBIN = inputlircd
MAN8 = inputlircd.8

CC ?= gcc
CFLAGS ?= -Wall -g -O2 -pipe
PREFIX ?= /usr/local
INSTALL ?= install
SBINDIR ?= $(PREFIX)/sbin
SHAREDIR ?= $(PREFIX)/share
MANDIR ?= $(SHAREDIR)/man

all: $(SBIN)

names.h: /usr/include/linux/input.h gennames
	./gennames $< > $@

inputlircd: inputlircd.c /usr/include/linux/input.h names.h
	$(CC) $(CFLAGS) -o $@ $<

install: install-sbin install-man

install-sbin: $(SBIN)
	mkdir -p $(DESTDIR)$(SBINDIR)
	$(INSTALL) $(SBIN) $(DESTDIR)$(SBINDIR)/

install-man: $(MAN1) $(MAN5) $(MAN8)
	mkdir -p $(DESTDIR)$(MANDIR)/man8/
	$(INSTALL) -m 644 $(MAN8) $(DESTDIR)$(MANDIR)/man8/

clean:
	rm -f $(SBIN) names.h

## inputlirc 23

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # inputlircd -- zeroconf LIRC daemon that reads from /dev/input/event devices
-# Copyright (C) 2006  Guus Sliepen <guus@sliepen.eu.org>
+# Copyright (C) 2006-2013  Guus Sliepen <guus@sliepen.org>
 # 
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of version 2 of the GNU General Public License as published
@@ -31,7 +31,7 @@
 	./gennames $< > $@
 
 inputlircd: inputlircd.c /usr/include/linux/input.h names.h
-	$(CC) $(CFLAGS) -o $@ $<
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $<
 
 install: install-sbin install-man

## inputlirc 30

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
 
 SBIN = inputlircd
 MAN8 = inputlircd.8
+SERVICE = inputlirc.service
 
 CC ?= gcc
 CFLAGS ?= -Wall -g -O2 -pipe
@@ -24,16 +25,17 @@
 SBINDIR ?= $(PREFIX)/sbin
 SHAREDIR ?= $(PREFIX)/share
 MANDIR ?= $(SHAREDIR)/man
+SYSTEMDDIR ?= $(PREFIX)/lib/systemd/system
 
 all: $(SBIN)
 
-names.h: /usr/include/linux/input.h gennames
+names.h: /usr/include/linux/input-event-codes.h gennames
 	./gennames $< > $@
 
 inputlircd: inputlircd.c /usr/include/linux/input.h names.h
 	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $<
 
-install: install-sbin install-man
+install: install-sbin install-man install-service
 
 install-sbin: $(SBIN)
 	mkdir -p $(DESTDIR)$(SBINDIR)
@@ -43,5 +45,11 @@
 	mkdir -p $(DESTDIR)$(MANDIR)/man8/
 	$(INSTALL) -m 644 $(MAN8) $(DESTDIR)$(MANDIR)/man8/
 
+install-service: $(SERVICE)
+	mkdir -p $(DESTDIR)$(SYSTEMDDIR)
+	$(INSTALL) -m 644 $(SERVICE) $(DESTDIR)$(SYSTEMDDIR)/
+
 clean:
 	rm -f $(SBIN) names.h
+
+.PHONY: all install install-sbin install-man install-service clean

=== debian/changelog ===
inputlirc (30-1) unstable; urgency=medium

  * New upstream release.
    - Now comes with a systemd service file.
  * Bump Standards-Version and debian/compat.

 -- Guus Sliepen <guus@debian.org>  Sat, 17 Feb 2018 14:30:39 +0100

inputlirc (23-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Include input-event-codes.h instead of input.h. Closes: #879458
    Thanks to Ingo Schneider for reporting the bug and providing the fix.

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 13 Feb 2018 22:16:20 +0100

inputlirc (23-2) unstable; urgency=medium

  * Set Architecture: linux-any, since inputlirc depends on the Linux input
    event subsystem. Closes: #745198
  * Bump Standards-Version.
  * Convert debian/rules to dh.
  * Source /lib/lsb/init-functions in the init script.
  * Enable hardening flags.

 -- Guus Sliepen <guus@debian.org>  Wed, 23 Jul 2014 17:34:03 +0200

inputlirc (23-1) unstable; urgency=low

  * New upstream release.
    - Fixes a crash when one input device is specified more than once on the
      command line. Closes: 689037
  * Bump Standards-Version.
  * Enable hardening flags.

 -- Guus Sliepen <guus@debian.org>  Thu, 21 Feb 2013 16:17:04 +0100

inputlirc (19-1) unstable; urgency=low

  * New upstream release.
    - Don't set repeat flag when two different keys are pressed in rapid
      succession. Closes: #602083
    - Change socket location to /var/run/lirc/lircd. Closes: #617523
  * Bump Standards-Version.
  * Add $remote_fs to the Required-Start and -Stop fields in the init script.

 -- Guus Sliepen <guus@debian.org>  Thu, 19 May 2011 22:42:33 +0200

inputlirc (16-1) unstable; urgency=low

  * New upstream release.
    - Allow selection of devices by name. Closes: #564959
  * Convert source package to 3.0 (quilt) format.
  * Bump Standards-Version.
  * Depend on ${misc:Depends}.

 -- Guus Sliepen <guus@debian.org>  Sun, 24 Jan 2010 15:59:30 +0100

inputlirc (15-1) unstable; urgency=low

  * New upstream release.
  * Add lirc to Should-Start field in the init script. Closes: #514800

 -- Guus Sliepen <guus@debian.org>  Wed, 29 Jul 2009 15:09:49 +0200

inputlirc (13-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Thu, 25 Sep 2008 18:13:35 +0200

inputlirc (11-2) unstable; urgency=low

  * Add LSB section to the init script. Closes: #468162
  * Don't ignore make clean errors in debian/rules.
  * Update copyright file.

 -- Guus Sliepen <guus@debian.org>  Sun, 02 Mar 2008 21:12:55 +0100

inputlirc (11-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Thu, 27 Apr 2006 21:17:06 +0200

inputlirc (10-1) unstable; urgency=low

  * New upstream release.
  * Changed Provides: lirc into Suggests: lirc, since liblircclient0 does not
    actually depend on lirc, and we do want to suggest the lirc package for
    the irw binary.

 -- Guus Sliepen <guus@debian.org>  Fri, 24 Feb 2006 21:05:27 +0100

inputlirc (8-1) unstable; urgency=low

  * Initial Release.

 -- Guus Sliepen <guus@debian.org>  Mon, 06 Feb 2006 20:15:11 +0100

=== debian/control ===
Source: inputlirc
Section: utils
Priority: optional
Maintainer: Guus Sliepen <guus@debian.org>
Build-Depends: debhelper (>> 11)
Standards-Version: 4.1.3
Rules-Requires-Root: no

Package: inputlirc
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: lirc, input-utils
Description: Zeroconf LIRC daemon using input event devices
 This is a small LIRC-compatible daemon that reads from /dev/input/eventX
 devices and sends the received keycodes to connecting LIRC clients. Inputlircd
 needs no configuration, it uses the standardised names for the keycodes as
 used by the kernel. Many USB remote controls that present HID devices, as well
 as multimedia keyboards should work out of the box.

## inputlirc 33

=== debian/changelog ===
inputlirc (33-3) unstable; urgency=medium

  * QA upload.
  * Update dh compat level to 13
  * Apply wrap-and-sort -kast
  * Let systemd.pc decide place for systemd system unit files

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 09 Dec 2023 14:02:40 +0100

inputlirc (33-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #963921)

 -- Marcos Talau <talau@debian.org>  Sat, 12 Nov 2022 09:43:18 -0300

inputlirc (33-1) unstable; urgency=medium

  * New upstream release.
    - Ensures /run/lirc/ exists. Closes: #940281
  * Bump Standards-Version, Build-Depend on debhelper-compat (= 12).

 -- Guus Sliepen <guus@debian.org>  Sun, 15 Sep 2019 14:20:07 +0200

=== debian/control ===
Source: inputlirc
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 pkgconf,
 systemd-dev,
Standards-Version: 4.4.0
Rules-Requires-Root: no

Package: inputlirc
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 input-utils,
 lirc,
Description: Zeroconf LIRC daemon using input event devices
 This is a small LIRC-compatible daemon that reads from /dev/input/eventX
 devices and sends the received keycodes to connecting LIRC clients. Inputlircd
 needs no configuration, it uses the standardised names for the keycodes as
 used by the kernel. Many USB remote controls that present HID devices, as well
 as multimedia keyboards should work out of the box.

=== debian/rules ===
#!/usr/bin/make -f
deb_systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd)

%:
	dh $@

override_dh_auto_install:
	make install PREFIX=/usr DESTDIR=debian/inputlirc/ SYSTEMDDIR=$(deb_systemdsystemunitdir)

## inputlirc 34

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # inputlircd -- zeroconf LIRC daemon that reads from /dev/input/event devices
-# Copyright (C) 2006-2013  Guus Sliepen <guus@sliepen.org>
+# Copyright (C) 2006-2019  Guus Sliepen <guus@sliepen.org>
 # 
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of version 2 of the GNU General Public License as published

=== debian/changelog ===
inputlirc (34-1) unstable; urgency=medium

  * QA upload.

  * Added d/watch file and updated project source/home page based on
    feedback in #963921.
  * New upstream version 34

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 17 Apr 2024 23:03:10 +0200

inputlirc (33-4) unstable; urgency=medium

  * QA upload.

  * Updated vcs in d/control to Salsa.
  * Convert d/copyright to machine readable format.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 17 Apr 2024 15:26:09 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,9 @@
  systemd-dev,
 Standards-Version: 4.4.0
 Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/inputlirc
+Vcs-Git: https://salsa.debian.org/debian/inputlirc.git
+Homepage: https://git.sliepen.org/inputlirc
 
 Package: inputlirc
 Architecture: linux-any

=== debian/watch ===
# This is looking at the github mirror site.  The source site is
# <URL: https://git.sliepen.org/inputlirc >.
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/inputlirc-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/gsliepen/inputlirc/tags .*/v?(\d\S*)\.tar\.gz
